Loading...
Searching...
No Matches
XrdClJobManager.cc File Reference
`#include "XrdCl/XrdClJobManager.hh"`
`#include "XrdCl/XrdClLog.hh"`
`#include "XrdCl/XrdClDefaultEnv.hh"`
`#include "XrdCl/XrdClConstants.hh"`
`#include "XrdSys/XrdSysE2T.hh"`
Include dependency graph for XrdClJobManager.cc:

Go to the source code of this file.

## Namespaces

namespace | XrdCl

## Functions

static void * | RunRunnerThread (void *arg)

## Function Documentation

## RunRunnerThread()

void * RunRunnerThread | ( | void * | arg | ) |

static

Definition at line 30 of file XrdClJobManager.cc.

{
using namespace XrdCl;
JobManager *mgr = (JobManager*)arg;
mgr->RunJobs();
return 0;
}
XrdCl::JobManager
A synchronized queue.
Definition XrdClJobManager.hh:51
XrdCl::JobManager::RunJobs
void RunJobs()
Run the jobs.
Definition XrdClJobManager.cc:146
XrdCl
Definition XrdClAction.hh:34

References XrdCl::JobManager::RunJobs().

Referenced by XrdCl::JobManager::Start(), and XrdCl::TaskManager::Start().

Here is the call graph for this function:
Here is the caller graph for this function: